import { defineNuxtModule, createResolver, addPlugin } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "nuxtjs-naive-ui",
    configKey: "naive-ui"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  setup(_options, _nuxt) {
    _nuxt.options.nitro.plugins = _nuxt.options.nitro.plugins || [];
    const transpile = process.env.NODE_ENV === "production" ? ["naive-ui"] : [];
    if (!_nuxt.options.build.transpile) {
      _nuxt.options.build.transpile = transpile;
    } else {
      _nuxt.options.build.transpile = _nuxt.options.build.transpile.concat(transpile);
    }
    const resolver = createResolver(import.meta.url);
    addPlugin(resolver.resolve("./runtime/plugin"));
  }
});

export { module as default };
